Bug 1396967 (CVE-2016-9391) - CVE-2016-9391 jasper: reachable assertions in the JPC bitstream code
Summary: CVE-2016-9391 jasper: reachable assertions in the JPC bitstream code
Status: CLOSED ERRATA
Alias: CVE-2016-9391
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20161025,reported=2...
Keywords: Reopened, Security
Depends On: 1396986 1396987 1396988 1396989 1439171 1439172 1439173 1439174
Blocks: 1314477
TreeView+ depends on / blocked
 
Reported: 2016-11-21 10:01 UTC by Adam Mariš
Modified: 2019-06-08 21:35 UTC (History)
23 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-05-09 21:42:29 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1208 normal SHIPPED_LIVE Important: jasper security update 2017-05-09 21:13:57 UTC

Description Adam Mariš 2016-11-21 10:01:07 UTC
An assertion failure was used in JPC bitstream code when integer larger than what can be handled is requested.

Upstream patch:

https://github.com/mdadams/jasper/commit/1e84674d95353c64e5c4c0e7232ae86fd6ea813b

CVE assignment:

http://seclists.org/oss-sec/2016/q4/441

Comment 1 Adam Mariš 2016-11-21 10:33:29 UTC
Created mingw-jasper tracking bugs for this issue:

Affects: fedora-all [bug 1396987]
Affects: epel-7 [bug 1396989]

Comment 2 Adam Mariš 2016-11-21 10:33:46 UTC
Created jasper tracking bugs for this issue:

Affects: fedora-all [bug 1396986]
Affects: epel-5 [bug 1396988]

Comment 5 Tomas Hoger 2016-11-29 22:37:05 UTC
Impact of this problem is limited to unexpected application termination.  There is currently no plan to backport the fix to already released Red Hat Enterprise Linux versions.

Comment 6 Tomas Hoger 2016-11-30 08:49:46 UTC
Quoting relevant part of the original reporter's advisory for posterity:

Affected version:
1.900.13

Output/failure:
type = 0xff05 (UNKNOWN); len = 20;01 40 40 00 f0 00 00 00 00 00 00 00 00 00 00 00 00 00 imginfo: /tmp/portage/media-libs/jasper-1.900.13/work/jasper-1.900.13/src/libjasper/jpc/jpc_bs.c:197: long jpc_bitstream_getbits(jpc_bitstream_t *, int): Assertion `n >= 0 && n < 32' failed.

Commit fix:
https://github.com/mdadams/jasper/commit/1e84674d95353c64e5c4c0e7232ae86fd6ea813b

Fixed version:
1.900.14

Testcase:
https://github.com/asarubbo/poc/blob/master/00014-jasper-assert-jpc_bitstream_getbits

CVE:
CVE-2016-9391

Comment 7 Tomas Hoger 2017-03-31 21:04:54 UTC
Re-considering inclusion for easier future testing.

Comment 8 errata-xmlrpc 2017-05-09 17:19:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1208 https://access.redhat.com/errata/RHSA-2017:1208


Note You need to log in before you can comment on or make changes to this bug.